Package org.apache.lucene.util

## Class StableMSBRadixSorter.MergeSorter

- java.lang.Object
- - org.apache.lucene.util.Sorter
  - - org.apache.lucene.util.StableMSBRadixSorter.MergeSorter

- Enclosing class:
    StableMSBRadixSorter

      protected abstract static class StableMSBRadixSorter.MergeSorter
      extends Sorter

  A MergeSorter taking advantage of temporary storage.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MergeSorter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `restore​(int i, int j)` | Restore values between i-th and j-th(excluding) in temporary storage into original storage.
    `protected abstract void` | `save​(int i, int j)` | Save the i-th value into the j-th position in temporary storage.
    `void` | `sort​(int from, int to)` | Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).

    - ### Methods inherited from class org.apache.lucene.util.Sorter

      `compare, comparePivot, setPivot, swap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeSorter

          protected MergeSorter()

  - ### Method Detail

    - #### sort

          public void sort​(int from,
                           int to)

      Description copied from class: `Sorter`
      Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).
      Specified by:
        `sort` in class `Sorter`

    - #### save

          protected abstract void save​(int i,
                                       int j)

      Save the i-th value into the j-th position in temporary storage.

    - #### restore

          protected abstract void restore​(int i,
                                          int j)

      Restore values between i-th and j-th(excluding) in temporary storage into original storage.